Skip to main content
`Ctrl`+`K`

# PetscErrorCodeFn

A prototype of a PetscErrorCode (fn)(void) function

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode(PetscErrorCodeFn)(void);

## Notes

The deprecated `PetscErrorCodeFunction` works as a replacement for `PetscErrorCodeFn` *.

## See Also

`PetscObject`, `PetscObjectDestroy()`

## Level

developer

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages